#ifndef __KEYS_S3_H__
#define __KEYS_S3_H__
/* Copyright (c) 2008 PrimeBase Technologies GmbH, Germany
 *
 * PrimeBase S3Daemon
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *  Created by Barry Leslie on 10/2/08.
 *
 */
 
#define MAX_PUBLIC_KEY	21	 
#define MAX_PRIVATE_KEY	41

typedef struct {
	char public_key[MAX_PUBLIC_KEY];	
	char private_key[MAX_PRIVATE_KEY];
} S3Keys;

#ifdef __cplusplus
extern "C" {
#endif
int			S3LoadKeys(const char *key_file, S3Keys *keys);	/* Load the key file returns 0 if successfull. */
const char*	S3KeysError();									/* Gets the error text of the last failed operation. */

#ifdef __cplusplus
}
#endif
#endif /* __KEYS_S3_H__ */

